Videos
Create a share link
Creates a link to a video for people outside the organization, optionally with a password, an expiry or a view limit.
POST
Creates a link to a video for people outside the organization, optionally with a password, an expiry or a view limit.
bearerAuthheader
AuthorizationBearer <JWT>Authentication token from login or API key
id*stringId ID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidIdempotency-Key?stringA unique key per create, such as a UUID. A retry with the same key and body within 24 hours returns the first successful response with Idempotent-Replayed: true instead of creating again (draft-ietf-httpapi-idempotency-key-header).
Length
1 <= length <= 255Created successfully
curl -X POST 'https://nuclom.com/api/videos/497f6eca-6276-4993-bfeb-53cbbbba6f08/share'Example Response
Empty